---
title: ReadableStreamBYOBReader.closed
slug: Web/API/ReadableStreamBYOBReader/closed
tags:
  - API
  - Experimental
  - Property
  - ReadableStreamBYOBReader
  - Reference
  - Streams
  - closed
---
<div>{{draft}}{{SeeCompatTable}}{{APIRef("Streams")}}</div>

<p class="summary">The <strong><code>closed</code></strong> read-only property of the {{domxref("ReadableStreamBYOBReader")}} interface returns a promise that fulfills if the stream becomes closed or the reader's lock is released, or rejects if the stream errors.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var><code>var <em>closed</em> = </code>readableStreamBYOBReader</var>.closed;</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Promise")}}.</p>

<h2 id="Examples">Examples</h2>

<p>TBD.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Streams","#byob-reader-closed","closed")}}</td>
   <td>{{Spec2('Streams')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.ReadableStreamBYOBReader.closed")}}</p>
